Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Chauhan Mukesh
    @Chauhan-Mukesh
    image.png
    hello I am trying to run command php bin/console pimcore:deployment:classes-rebuild -d -c -vvv but getting following error
    any idea
    image.png
    i am not able to get listing here
    Katarzyna Kajzar
    @katwer
    Hello!
    What is the diffrence between "Custom Metadata" and "Properties" in assets?
    I need to inform system with languages use some assets (product card). Sometimes it's one language, often more or all avabile languages. What would you use in this case?
    frithjof
    @frithjof
    i would assign lang specific assets to product object
    1 reply
    Ibrahim Tanović
    @ibrahim-tanovic
    Hi everyone! I haven't unfortunatelly been able to apply settings on data objects regarding versioning. No matter what is configured in system settings on number of steps to keep for an object, an endless amount of versions is being generated every time an object is saved/published.
    Ulli
    @chris:matrix.ullihome.de
    [m]
    Hi, after installing the DataHub Bundle in Skeleton no Icon appears to access it, has anyone solved this issue ?
    johanlindgren
    @johanlindgren
    It has been working for me? Have you enabled, installed and reloaded the admin interface
    Ulli
    @chris:matrix.ullihome.de
    [m]
    yes

    /var/www/html# bin/console pimcore:bundle:list
    +---------------------------------+---------+-----------+-------------+---------------+----------+
    | Bundle | Enabled | Installed | Installable | Uninstallable | Priority |
    +---------------------------------+---------+-----------+-------------+---------------+----------+
    | AlepLdapBundle | ✔ | ✔ | ❌ | ❌ | ✔ |
    | PimcoreDataHubBundle | ✔ | ✔ | ❌ | ✔ | ✔ |
    | PimcoreDataImporterBundle | ✔ | ✔ | ❌ | ❌ | ✔ |
    | PimcoreEcommerceFrameworkBundle | ✔ | ✔ | ❌ | ✔ | ✔ |
    +---------------------------------+---------+-----------+-------------+---------------+----------+

    Legend: I?: Can be installed? UI?: Can be uninstalled? UP?: Can be updated?

    With the Demi installation that works, but when i use skeleton not
    Demo
    Katarzyna Kajzar
    @katwer
    Is this possible to turn off inheritence of translations just in one script?
    Christian Flack
    @GALCF
    Hi all, I'm trying to run some behat tests locally, but every time I try to request a page, I get the following error: "A request must be available"
    Am I missing test configs?
    Jp
    @VeiJar1
    Hey, how to check in Object listing if relation field is not null?
    Om Bissa
    @opbissa_twitter
    How can I generate absolute url in pimcore LinkGenerator?
    Yentl Jacobs
    @jacobsyentl
    Hi guys, is there known Log4J exposure for the Pimcore tech stack? I assume that Elasticsearch needs to be patched, but are there any other considerations we need to make?
    Katarzyna Kajzar
    @katwer
    I have object with parameter "indeks" and sometimes, for some objects, I couldn't find object by this parametr. Search is not work in admin panel, in listings - anywhere. Where shoul I looking for the reason?
    vaishaliPimcore
    @vaishaliPimcore
    hi what is the stable version of pimcore 10?
    1 reply
    Dennis Barthel
    @deezin
    Hi everyone, I'm currently trying to do a fresh install of a Pimcore project we've recently pushed from 5.8 to 6.9, but none of the DataObjects are generated in var/class/DataObjects after running composer install. Every bin/console command returns a ClassNotFoundException (Attempted to load class "Product" from "Pimcore\Model\DataObject"). Has anyone encountered this issue so far?
    1 reply
    Martina Lindenhofer
    @MLindenhofer
    Bildschirmfoto 2021-12-15 um 11.14.59.png
    Is it possible in pimcore to change the label of "Data Objects" here?
    frithjof
    @frithjof
    you can use a perspective
    Martina Lindenhofer
    @MLindenhofer
    ah so in perspective I can rename those labels. hm okay thank you :)
    damianbobrowski
    @damianbobrowski
    image.png

    Hello pimcore community
    I just install pimcore-demo using docker images

    I want to go to User Roles:
    https://pimcore.com/docs/pimcore/current/Development_Documentation/Administration_of_Pimcore/Users_and_Roles.html

    But I cannot find it?
    Could you give me some hints?

    3 replies
    Christian Flack
    @GALCF
    For i18n bundle I get a zone has no site exception in pimcore_object_preview URLs. Is there something I need to configure for these URLs? How can I set a default site for these cases?
    Christian Flack
    @GALCF
    This is the message: "To generate a zone object, you need to assign a valid site if zones are configured. No site assignment found. Maybe there is a typo in your i18n.zones.domains mapping?"
    Jeroen Desloovere
    @jeroendesloovere
    What does "Paste recursive, updating references" do?
    I've read here and there discussions about it, but when I try these copy/paste functionality, none seem to do what you expect.
    1 reply
    Wael-Hamdan
    @Wael-Hamdan
    Hello
    Is it possible to schedule two Data Importers in a way that the second one starts only after the first Data Importer finishes?
    vaishaliPimcore
    @vaishaliPimcore
    image.png
    1 reply
    any idea of this error, When I am trying to rebuild after migrate V6 to V10?
    Martina Lindenhofer
    @MLindenhofer
    Bildschirmfoto 2021-12-17 um 12.06.57.png - Hi, I have a question on DataImporters Transformation Pipeline "As Gallery" - I want to import these 2 images from my assets to the Gallery of this product. When choosing "As Gallery" I got: ERROR: Unsupported input type 'default' for gallery operator at transformation position 1 - where is the mistake?
    Chauhan Mukesh
    @Chauhan-Mukesh
    hi is there any bundle with help of that i can set cronjobs using UI
    1 reply
    Jesus Valera Reales
    @JesusValera
    The class Pimcore\Tool\RestClient\AbstractRestClient was mark as @deprecated on 6.9 and disappear at 10.x, is there any other class alternative? What can I do? :)
    Kumar Praveen
    @kumar2112
    Hi
    may we use matteronix theme with pimcore
    ?
    Hello @all community members
    may we change the ui theme of pimcore.can we use matteronix themes
    Katarzyna Kajzar
    @katwer

    Try to install latest pimcore on ubuntu 20, what's wrong?
    `
    Problem 1

    - pimcore/pimcore 10.0.8 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.6 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.7 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.9 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.6 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - ocramius/package-versions 2.4.0 requires composer-runtime-api ^2.1.0 -> no matching package found.
    - ocramius/package-versions 2.3.0 requires composer-runtime-api ^2.0.0 -> no matching package found.
    - Installation request for pimcore/pimcore ^10.0 -> satisfiable by pimcore/pimcore[10.0.8, v10.0.0, v10.0.1, v10.0.2, v10.0.3, v10.0.4, v10.0.5, v10.0.6, v10.0.7, v10.0.9, v10.1.0, v10.1.1, v10.1.2, v10.1.3, v10.1.4, v10.1.5, v10.2.0, v10.2.1, v10.2.2, v10.2.3, v10.2.4, v10.2.5, v10.2.6].

    `

    3 replies
    Kumar Praveen
    @kumar2112
    $this->db is null when trying to creating a custom modle
    any one have idea
    Call to a member function fetchAll() on null
    image.png
    Michael Frank
    @ITspirit

    Is there a possibility to configure via twig command, which colums should displayed for the Relation Editable?
    https://pimcore.com/docs/pimcore/10.1/Development_Documentation/Documents/Editables/Relations_(Many-To-Many).html

    I would like to hide the type/suptype folder in editmode - if possible.

    Stefan Curcan
    @curcanstefan
    hello, I need a hint in the right direction;
    I want to restrict creation of DataObject to a specific class; is there a way to implement this restriction in class definition or in admin UI (settings) ?
    3 replies
    Alexander Gaal
    @alexander.gaal_gitlab
    Hi, I'm working on a pimcore project at the moment and as soon as I try to use thumbnails I get following error in my logs:
    [2021-12-20T19:24:55.243422+00:00] pimcore.ERROR: Couldn't create thumbnail of image /Ausweisbilder/244_2021-12-17-12-40-31_portrait.JPG [] []
    [2021-12-20T19:24:55.244283+00:00] pimcore.ERROR: Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: The "Symfony\Component\Lock\LockFactory" service or alias has been removed or inlined when the container was compiled. You should either make it public, or stop using the container directly and use dependency injection instead. in /var/www/html/vendor/symfony/dependency-injection/Container.php:257 Stack trace: #0 /var/www/html/vendor/symfony/dependency-injection/Container.php(219): Symfony\Component\DependencyInjection\Container->make('Symfony\\Compone...', 1) #1 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail/Processor.php(219): Symfony\Component\DependencyInjection\Container->get('Symfony\\Compone...') #2 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail.php(170): Pimcore\Model\Asset\Image\Thumbnail\Processor::process(Object(Pimcore\Model\Asset\Image), Object(Pimcore\Model\Asset\Image\Thumbnail\Config), NULL, false, false) #3 /var/www/html/vendor/pimcore/pimcore/models/Asset/Thumbnail/ImageThumbnailTrait.php(115): Pimcore\Model\Asset\Image\Thumbnail->generate(false) #4 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail.php(110): Pimcore\Model\Asset\Image\Thumbnail->getPathReference(false) #5 /var/www/html/vendor/pimcore/pimcore/bundles/CoreBundle/Controller/PublicServicesController.php(130): Pimcore\Model\Asset\Image\Thumbnail->getStream() #6 /var/www/html/vendor/symfony/http-kernel/HttpKernel.php(156): Pimcore\Bundle\CoreBundle\Controller\PublicServicesController->thumbnailAction(Object(Symfony\Component\HttpFoundation\Request)) #7 /var/www/html/vendor/symfony/http-kernel/HttpKernel.php(78): Symfony\Component\HttpKernel\HttpKernel->handleRaw(Object(Symfony\Component\HttpFoundation\Request), 1) #8 /var/www/html/vendor/symfony/http-kernel/Kernel.php(199): Symfony\Component\HttpKernel\HttpKernel->handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #9 /var/www/html/public/index.php(35): Symfony\Component\HttpKernel\Kernel->handle(Object(Symfony\Component\HttpFoundation\Request)) #10 {main} [] []
    [2021-12-20T19:24:55.244339+00:00] pimcore.ERROR: Thumbnail with name 'portrait' doesn't exist [] []
    2 replies